File junit.changes of Package junit

-------------------------------------------------------------------
Mon Feb  4 17:16:22 UTC 2019 - Fridrich Strba <fstrba@suse.com>

- Add OSGi manifest to the jar file
- Package the manual
- BuildRequire and Require hamcrest-core, since the package does
  strictly depend on hamcrest-core only.

-------------------------------------------------------------------
Mon Jan 21 23:36:15 UTC 2019 - Jan Engelhardt <jengelh@inai.de>

- Trim repeated metadata from description.

-------------------------------------------------------------------
Wed Dec 26 06:27:56 UTC 2018 - Fridrich Strba <fstrba@suse.com>

- Upgrade to 4.12
- Removed patches:
  * junit-jdk8.patch
  * junit-jdk9.patch
  * junit-no-hamcrest-src.patch
    + Integrated directly in the added build.xml file

-------------------------------------------------------------------
Wed Jul 11 14:52:48 UTC 2018 - fstrba@suse.com

- Added patch:
  * junit-jdk11.patch
    + Fix build with jdk11
    + Don't override removed SecurityManager methods

-------------------------------------------------------------------
Mon Dec 18 15:40:52 UTC 2017 - fstrba@suse.com

- Run fdupes on documentation

-------------------------------------------------------------------
Mon Dec 18 15:35:28 UTC 2017 - dimstar@opensuse.org

- Harden and fix the test suite:
  + org.framework.junit is deprecated since junit 4.0
  + Ensure we fail check when junit no longer returns what we
    expect it to (error code checking is useless, since Assert
    returns !0, like any other failure to start the test).

-------------------------------------------------------------------
Mon Dec 18 09:34:48 UTC 2017 - fstrba@suse.com

- Added patch:
  * junit-jdk10.patch
    + Remove a function getInCheck from NoExitSecurityManager,
      since it does not exist in the extended class in jdk10 and is
      deprecated in previous versions

-------------------------------------------------------------------
Fri Sep  8 08:42:24 UTC 2017 - fstrba@suse.com

- Added patch:
  * junit-jdk9.patch
    + Build with java source and target levels 1.6 in order to
      allow building with jdk9

-------------------------------------------------------------------
Fri May 19 10:03:43 UTC 2017 - dziolkowski@suse.com

- New build dependency: javapackages-local

-------------------------------------------------------------------
Tue Jul 28 07:53:29 UTC 2015 - tchvatal@suse.com

- Add patch to build with jdk8:
  * junit-jdk8.patch

-------------------------------------------------------------------
Wed Mar 18 09:46:15 UTC 2015 - tchvatal@suse.com

- Fix build with new javapackages-tools

-------------------------------------------------------------------
Fri Oct 25 07:39:22 UTC 2013 - mvyskocil@suse.com

- Update to 4.11
  * Matchers: Upgrade to Hamcrest 1.3
    no longer included junit jar
  * Parameterized Tests
  * Specify Test execution order
  * New maven artifact 'junit:junit' w/o builtin hamcrest
  * Number of improvements into Rules
- Drop jdk7-testfailure.patch, fixed upstream
- Add junit-no-hamcrest-src.patch, don't bundle hamcrest into junit.jar
- Use SourceUrl for release tarball and pom
- Don't inject OSGI manifest, it breaks junit.jar 
- Provide/obsolete package junit4

-------------------------------------------------------------------
Fri Aug 23 09:35:53 UTC 2013 - mvyskocil@suse.com

- disable javadoc build 

-------------------------------------------------------------------
Thu Sep 11 16:14:37 CEST 2008 - mvyskocil@suse.cz

- Use gcc-java for build
- Update 3.8.2 (a new build.xml)
- Removed a java14compat
- Removed javadoc postin/postun
- Add a cpl-v10.html

-------------------------------------------------------------------
Fri Mar 30 01:45:59 CEST 2007 - ro@suse.de

- added unzip to buildreq 

-------------------------------------------------------------------
Tue Sep 26 15:24:14 CEST 2006 - skh@suse.de

- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5

-------------------------------------------------------------------
Wed Jan 25 21:46:48 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Thu Jul 28 15:35:11 CEST 2005 - jsmeix@suse.de

- Adjustments in the spec file.

-------------------------------------------------------------------
Mon Jul 18 16:45:22 CEST 2005 - jsmeix@suse.de

- Current version 3.8.1 from JPackage.org

-------------------------------------------------------------------
Thu Sep 16 15:05:57 CEST 2004 - skh@suse.de

- Fix prerequires of javadoc subpackage

-------------------------------------------------------------------
Thu Sep  2 16:30:31 CEST 2004 - skh@suse.de

- Initial package created with version 3.8.1 (JPackage 1.5)